Package org.eclipse.mat.ui.internal

## Enum Perspective.Views

- java.lang.Object
- - java.lang.Enum<Perspective.Views>
  - - org.eclipse.mat.ui.internal.Perspective.Views

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Perspective.Views>`

Enclosing class:
  Perspective

    public static enum Perspective.Views
    extends java.lang.Enum<Perspective.Views>

### Enum Constant Summary

Enum Constants
`COMPARE_BASKET_VIEW`
`DETAILS_VIEW`
`ERROR_VIEW`
`HISTORY_VIEW`
`INSPECTOR_VIEW`
`NAVIGATOR_VIEW`
`NOTES_VIEW`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getId()`
`static Perspective.Views` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Perspective.Views[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HISTORY_VIEW

    public static final Perspective.Views HISTORY_VIEW

#### DETAILS_VIEW

    public static final Perspective.Views DETAILS_VIEW

#### NOTES_VIEW

    public static final Perspective.Views NOTES_VIEW

#### INSPECTOR_VIEW

    public static final Perspective.Views INSPECTOR_VIEW

#### NAVIGATOR_VIEW

    public static final Perspective.Views NAVIGATOR_VIEW

#### COMPARE_BASKET_VIEW

    public static final Perspective.Views COMPARE_BASKET_VIEW

#### ERROR_VIEW

    public static final Perspective.Views ERROR_VIEW

### Method Detail

#### values

    public static Perspective.Views[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Perspective.Views c : Perspective.Views.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Perspective.Views valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getId

    public java.lang.String getId()